<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>transliterate &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>transliterate
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">32 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">transliterate</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public pure function transliterate(instr, old_set, new_set) result(outstr)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>transliterate(3f) - [M_strings:EDITING] replace characters from old set with new set
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>pure function transliterate(instr,old_set,new_set) result(outstr)

 character(len=*),intent(in)  :: instr
 character(len=*),intent(in)  :: old_set
 character(len=*),intent(in)  :: new_set
 character(len=len(instr))    :: outstr
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code><span class="nv">Translate</span>, <span class="nv">squeeze</span>, <span class="nv">and</span><span class="o">/</span><span class="nv">or</span> <span class="nv">delete</span> <span class="nv">characters</span> <span class="nv">from</span> <span class="nv">the</span> <span class="nv">input</span> <span class="nv">string</span>.

 <span class="nv">o</span> <span class="nv">Each</span> <span class="nv">character</span> <span class="nv">in</span> <span class="nv">the</span> <span class="nv">input</span> <span class="nv">string</span> <span class="nv">that</span> <span class="nv">matches</span> <span class="nv">a</span> <span class="nv">character</span> <span class="nv">in</span>
   <span class="nv">the</span> <span class="nv">old</span> <span class="nv">set</span> <span class="nv">is</span> <span class="nv">replaced</span>.
 <span class="nv">o</span> <span class="k">If</span> <span class="nv">the</span> <span class="nv">new_set</span> <span class="nv">is</span> <span class="nv">the</span> <span class="nv">void</span> <span class="nv">set</span> <span class="nv">the</span> <span class="nv">matched</span> <span class="nv">characters</span> <span class="nv">are</span> <span class="nv">deleted</span>.
 <span class="nv">o</span> <span class="k">If</span> <span class="nv">the</span> <span class="nv">new_set</span> <span class="nv">is</span> <span class="nv">shorter</span> <span class="nv">than</span> <span class="nv">the</span> <span class="nv">old</span> <span class="nv">set</span> <span class="nv">the</span> <span class="nv">last</span> <span class="nv">character</span> <span class="nv">in</span> <span class="nv">the</span>
   <span class="nv">new</span> <span class="nv">set</span> <span class="nv">is</span> <span class="nv">used</span> <span class="nv">to</span> <span class="nv">replace</span> <span class="nv">the</span> <span class="nv">remaining</span> <span class="nv">characters</span> <span class="nv">in</span> <span class="nv">the</span> <span class="nv">new</span> <span class="nv">set</span>.
</code></pre></div>

<h2>EXAMPLES</h2>
<p>Sample Program:</p>
<div class="codehilite"><pre><span></span><code><span class="nv">program</span> <span class="nv">demo_transliterate</span>

 <span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span> : <span class="nv">transliterate</span>
 <span class="nv">implicit</span> <span class="nv">none</span>
 <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">80</span><span class="ss">)</span>   :: <span class="nv">STRING</span>

 <span class="nv">STRING</span><span class="o">=</span><span class="s1">&#39;</span><span class="s">aAbBcCdDeEfFgGhHiIjJkKlLmMnNoOpPqQrRsStTuUvVwWxXyYzZ</span><span class="s1">&#39;</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="s1">&#39;</span><span class="s">(a)</span><span class="s1">&#39;</span><span class="ss">)</span> <span class="nv">STRING</span>

 <span class="o">!</span> <span class="nv">convert</span> <span class="nv">a</span> <span class="nv">string</span> <span class="nv">to</span> <span class="nv">uppercase</span>:
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">TRANSLITERATE</span><span class="ss">(</span><span class="nv">STRING</span>,<span class="s1">&#39;</span><span class="s">abcdefghijklmnopqrstuvwxyz</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">ABCDEFGHIJKLMNOPQRSTUVWXYZ</span><span class="s1">&#39;</span><span class="ss">)</span>

 <span class="o">!</span> <span class="nv">change</span> <span class="nv">all</span> <span class="nv">miniscule</span> <span class="nv">letters</span> <span class="nv">to</span> <span class="nv">a</span> <span class="nv">colon</span> <span class="ss">(</span><span class="s2">&quot;</span><span class="s">:</span><span class="s2">&quot;</span><span class="ss">)</span>:
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">TRANSLITERATE</span><span class="ss">(</span><span class="nv">STRING</span>,<span class="s1">&#39;</span><span class="s">abcdefghijklmnopqrstuvwxyz</span><span class="s1">&#39;</span>,<span class="s1">&#39;</span><span class="s">:</span><span class="s1">&#39;</span><span class="ss">)</span>

 <span class="o">!</span> <span class="nv">delete</span> <span class="nv">all</span> <span class="nv">miniscule</span> <span class="nv">letters</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">TRANSLITERATE</span><span class="ss">(</span><span class="nv">STRING</span>,<span class="s1">&#39;</span><span class="s">abcdefghijklmnopqrstuvwxyz</span><span class="s1">&#39;</span>,<span class="s1">&#39;&#39;</span><span class="ss">)</span>

<span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_transliterate</span>

<span class="nv">Expected</span> <span class="nv">output</span>

 <span class="o">&gt;</span> <span class="nv">aAbBcCdDeEfFgGhHiIjJkKlLmMnNoOpPqQrRsStTuUvVwWxXyYzZ</span>
 <span class="o">&gt;</span> <span class="nv">AABBCCDDEEFFGGHHIIJJKKLLMMNNOOPPQQRRSSTTUUVVWWXXYYZZ</span>
 <span class="o">&gt;</span> :<span class="nv">A</span>:<span class="nv">B</span>:<span class="nv">C</span>:<span class="nv">D</span>:<span class="nv">E</span>:<span class="nv">F</span>:<span class="nv">G</span>:<span class="nv">H</span>:<span class="nv">I</span>:<span class="nv">J</span>:<span class="nv">K</span>:<span class="nv">L</span>:<span class="nv">M</span>:<span class="nv">N</span>:<span class="nv">O</span>:<span class="nv">P</span>:<span class="nv">Q</span>:<span class="nv">R</span>:<span class="nv">S</span>:<span class="nv">T</span>:<span class="nv">U</span>:<span class="nv">V</span>:<span class="nv">W</span>:<span class="nv">X</span>:<span class="nv">Y</span>:<span class="nv">Z</span>
 <span class="o">&gt;</span> <span class="nv">ABCDEFGHIJKLMNOPQRSTUVWXYZ</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-instr"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>instr</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-old_set"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>old_set</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-new_set"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>new_set</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-outstr"></span>character(len=LEN)
  </small></h3>
    
    
    
    
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>